import { Context } from 'koa';

interface InterfacePostDocument {
  method: string
  title: string
  url: string
  requestList: InterfaceRequestList[]
}
interface InterfaceRequestList {
  title: string
  type: string
  require: boolean
  defaultValue?: string
  content?: string
}

export const postDocument = (ctx: Context) => {
  const { method, title, url, requestList = [] }: InterfacePostDocument = ctx.request.body;
  if (!method || !title || !url) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, '必填项参数缺失', false);
    return
  }
  const errorRequestList = requestList.filter(el => (!el.title || !el.type));
  console.log(errorRequestList);
  if (errorRequestList.length) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, '必填项参数缺失', false);
    return
  }
  ctx.body = ctx.$response(ctx.request.body);
};

export default {
  postDocument
}
